Bug 20369 - Analytics search is broken with QueryAutoTruncate set to 'only if * is added'
Summary: Analytics search is broken with QueryAutoTruncate set to 'only if * is added'
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-09 19:03 UTC by Kyle M Hall
Modified: 2018-05-22 10:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added' (1.24 KB, patch)
2018-03-12 11:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added' (1.45 KB, patch)
2018-03-14 09:48 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added' (1.44 KB, patch)
2018-03-29 10:39 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-03-09 19:03:35 UTC
To recreate:
* Disable QueryAutoTruncate
* Create an analytic record, add some host items to it
* Browser to the analytics tab for the record
* Click the link in the 'used in' column of the table
* No search results
* Enable QueryAutoTruncate
* Reload the page, now you get the analytic record
Comment 1 Kyle M Hall 2018-03-09 19:06:54 UTC
I should note this is using EasyAnalytics
Comment 2 Kyle M Hall 2018-03-12 11:17:04 UTC
Created attachment 72653 [details] [review]
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added'

Test Plan:
1) Enable EasyAnalytics
2) Disable QueryAutoTruncate
3) Create an analytic record, add some host items to it
4) Browser to the analytics tab for the record
5) Click the link in the 'used in' column of the table
6) No search results
7) Apply this patch
8) Reload the page, now you get the analytic record!
Comment 3 sandboxes@biblibre.com 2018-03-14 09:48:11 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 sandboxes@biblibre.com 2018-03-14 09:48:32 UTC
Created attachment 72834 [details] [review]
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added'

Test Plan:
1) Enable EasyAnalytics
2) Disable QueryAutoTruncate
3) Create an analytic record, add some host items to it
4) Browser to the analytics tab for the record
5) Click the link in the 'used in' column of the table
6) No search results
7) Apply this patch
8) Reload the page, now you get the analytic record!

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-03-14 09:49:05 UTC
Thanks Kyle for this so useful enhancement !
Comment 6 Josef Moravec 2018-03-29 10:39:34 UTC
Created attachment 73414 [details] [review]
Bug 20369: Analytics search is broken with QueryAutoTruncate set to 'only if * is added'

Test Plan:
1) Enable EasyAnalytics
2) Disable QueryAutoTruncate
3) Create an analytic record, add some host items to it
4) Browser to the analytics tab for the record
5) Click the link in the 'used in' column of the table
6) No search results
7) Apply this patch
8) Reload the page, now you get the analytic record!

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Jonathan Druart 2018-04-02 21:15:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-05-14 21:22:44 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 9 Fridolin SOMERS 2018-05-22 10:01:51 UTC
Pushed to 17.05.x for v17.05.12